Package org.eclipse.jdt.debug.ui

# Class JavaSourceLookupDialog

java.lang.Object
org.eclipse.jface.window.Window
org.eclipse.jface.dialogs.Dialog
org.eclipse.jdt.debug.ui.JavaSourceLookupDialog

All Implemented Interfaces:
  `org.eclipse.jface.window.IShellProvider`

@Deprecated public class JavaSourceLookupDialog extends org.eclipse.jface.dialogs.Dialog
Deprecated.
In 3.0, the debug platform provides source lookup facilities that should be used in place of the Java source lookup support provided in 2.0. The new facilities provide a source lookup director that coordinates source lookup among a set of participants, searching a set of source containers. See the following packages: `org.eclipse.debug.core.sourcelookup` and `org.eclipse.debug.core.sourcelookup.containers`. This class has been replaced by a dialog in the debug platform - `org.eclipse.debug.ui.sourcelookup.SourceLookupDialog`.
A dialog to manipulate the source lookup path for a launch configuration.

This class may be instantiated.

Since:
  2.0.2
See Also:
  - `Dialog`
Restriction:
  This class is not intended to be subclassed by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`org.eclipse.jface.window.Window.IExceptionHandler`

## Field Summary

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK, resizeHasOccurred`

## Constructor Summary

Constructors
Constructor
Description
`JavaSourceLookupDialog(org.eclipse.swt.widgets.Shell shell, String message, org.eclipse.debug.core.ILaunchConfiguration configuration)`
Deprecated.
Constructs a dialog to manipulate the source lookup path of the given launch configuration.

## Method Summary

Modifier and Type
Method
Description
`protected org.eclipse.swt.widgets.Control`
`createDialogArea(org.eclipse.swt.widgets.Composite parent)`
Deprecated.
`boolean`
`isNotAskAgain()`
Deprecated.
Returns whether the "do not ask again" check box is selected in the dialog.
`protected void`
`okPressed()`
Deprecated.

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonBar, createButtonsForButtonBar, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, isResizable, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, configureShell, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JavaSourceLookupDialog

public JavaSourceLookupDialog(org.eclipse.swt.widgets.Shell shell, String message, org.eclipse.debug.core.ILaunchConfiguration configuration)
Deprecated.
Constructs a dialog to manipulate the source lookup path of the given launch configuration. The source lookup path is retrieved from the given launch configuration, based on the attributes `IJavaLaunchConfigurationConstants.ATTR_DEFAULT_SOURCE_PATH` and `IJavaLaunchConfigurationConstants.ATTR_SOURCE_PATH`. If the user changes the source lookup path and presses "OK", the launch configuration is updated with the new source lookup path.

Parameters:
  `shell` - the shell to open the dialog on
  `message` - the message to display in the dialog
  `configuration` - the launch configuration from which the source lookup path is retrieved and (possibly) updated

## Method Details

### isNotAskAgain

public boolean isNotAskAgain()
Deprecated.
Returns whether the "do not ask again" check box is selected in the dialog.

Returns:
  whether the "do not ask again" check box is selected in the dialog

### createDialogArea

protected org.eclipse.swt.widgets.Control createDialogArea(org.eclipse.swt.widgets.Composite parent)
Deprecated.

Overrides:
  `createDialogArea` in class `org.eclipse.jface.dialogs.Dialog`

### okPressed

protected void okPressed()
Deprecated.

Overrides:
  `okPressed` in class `org.eclipse.jface.dialogs.Dialog`